---
apiVersion: kustomize.config.k8s.io/v1beta1
kind: Kustomization

resources:
  - ../base

secretGenerator:
  - name: users-mysql-secret
    namespace: users
    envs:
      - .env

  - name: shifts-mysql-secret
    namespace: shifts
    envs:
      - .env

images:
  - name: mysql
    newName: mysql
    newTag: "5.6"

patches:
  - target:
      kind: HorizontalPodAutoscaler
      name: users
      namespace: users
    patch: |
      - op: replace
        path: /spec/maxReplicas
        value: 7

patchesStrategicMerge:
  - patch.yaml
